# Tax Classes

Tax Classes

 - [GET /taxClasses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-classes/listtaxclasses.md): This method will scan all tax classes and and return them to the caller.
 - [POST /taxClasses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-classes/createtaxclass.md): This method will auto-generate an ID and create a new tax class. If an ID is specified for the tax class, an error will be thrown.
 - [POST /taxClasses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-classes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /taxClasses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-classes/deletetaxclass.md): This method will delete a tax class with the specified ID.
 - [GET /taxClasses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-classes/gettaxclass.md): This method will look up a tax class by the specified ID and return it back.
 - [PATCH /taxClasses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-classes/patchtaxclass.md): This method will patch an existing tax class with the specified ID, using the HTTP PATCH specification.
 - [PUT /taxClasses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-classes/updatetaxclass.md): This method will update an existing tax class with the specified ID.
